<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:p="http://primefaces.org/ui"
    xmlns:pe="http://primefaces.org/ui/extensions">
 
<div id = "modalMultiplesUsuarios">

<h:panelGrid id="idPanelTabla">
                                <p:dataTable
                                    id="tablaUsuarios"
                                    value="#{administracionUsuarioController.usuarios}"
                                    var="usuario"
                                    editMode="cell"
                                    editable="true"
                                    rowIndexVar="rowIndex"
                                    scrollable="false"
                                    scrollHeight="300"
                                    scrollWidth="300"
                                    paginator="false"
                                    paginatorPosition="bottom"
                                    emptyMessage="Sin registros"
                                    resizableColumns="true">
                                    <p:column
                                        headerText="#{msghsp['tabla.multiples.numero.consecutivo']}">
                                        <p:outputLabel
                                            value="#{usuario.consecutivo}" />
                                    </p:column>
                                    <p:column
                                        headerText="#{msghsp['tabla.multiples.usuarios.nombre']}">
                                        <p:outputLabel
                                            value="#{usuario.refPersonalOperativo}" />
                                    </p:column>
                                    <p:column
                                        headerText="#{msghsp['tabla.multiples.usuarios.direccioncorreo']}">
                                        <p:outputLabel
                                            value="#{usuario.refEmail}" />
                                    </p:column>
                                    <p:column
                                        headerText="#{msghsp['tabla.multiples.usuarios.carpeta']}">
                                        <p:outputLabel
                                            value="#{usuario.carpeta}" />
                                    </p:column>

                                </p:dataTable>
                            </h:panelGrid>
                            <p:panelGrid style="center">
                                <p:row>
                                    <p:column>
                                        <p:outputLabel
                                            value="#{msghsp['modal.nuevo.usuario']}" />
                                    </p:column>
                                </p:row>
                                <p:row>
                                    <p:column
                                        rowspan="6"
                                        class="campo3">
                                        <p:outputLabel
                                            value="#{msghsp['tabla.usuario']}" />
                                        <p:inputText
                                            id="idNumeroUsuario"
                                            value="#{administracionUsuarioController.numeroUsuario}"
                                            maxlength="2"
                                            binding="#{administracionUsuarioController.textUserConsecutivo}">
                                            <p:keyFilter
                                                regEx="/[0-9]/i" />
                                        </p:inputText>
                                    </p:column>
                                </p:row>
                            </p:panelGrid>
		</div>
</html>